O=.o
SO=.so
SHARED=-shared

ifndef PLATFORM

# cut is for mingw32 or cygwin
PLATFORM := $(shell uname | cut -d _ -f 1)

ifeq ($(PLATFORM), Linux)
PLATFORM_FOUND=1
endif

ifeq ($(PLATFORM), Darwin)
PLATFORM_FOUND=1
SO=.dylib
SHARED=-dynamiclib
endif

ifeq ($(PLATFORM), FreeBSD)
PLATFORM_FOUND=1
endif

ifeq ($(PLATFORM), NetBSD)
PLATFORM_FOUND=1
endif

ifeq ($(PLATFORM), CYGWIN)
PLATFORM_FOUND=1
O=.obj
endif

ifeq ($(PLATFORM), MINGW32)
PLATFORM_FOUND=1
O=.obj
endif

ifndef PLATFORM_FOUND
PLATFORM := unknown
endif

endif
